> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/sdk-apps/connections.md).

# Connections

## GET /sdk/apps/{SDK\_appName}/connections

> List App Connections

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/connections":{"get":{"tags":["SDK Apps / Connections"],"summary":"List App Connections","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appConnections":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"},"parameters":{"type":"object","description":"Connection parameters. The structure depends on the connection type."},"app_version":{"type":"string","description":"Version of the app this connection belongs to."},"alias_to":{"type":"string","nullable":true,"description":"The original name of an aliased connection."}}}}}}}}}}}}}}
```

## POST /sdk/apps/{SDK\_appName}/connections

> Create Connection

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/connections":{"post":{"tags":["SDK Apps / Connections"],"summary":"Create Connection","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["oauth","oauth-refresh","oauth-resowncre","oauth-clicre","oauth-1","apikey","basic","other"]},"label":{"type":"string"}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appConnection":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/connections/{SDK\_connectionName}

> Get Connection

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}":{"get":{"tags":["SDK Apps / Connections"],"summary":"Get Connection","parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appConnection":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"},"connectedSystemName":{"type":"string","nullable":true},"appVersion":{"type":"string"},"redirectUri":{"type":"string","description":"Only for OAuth connections"}}}}}}}}}}}}}
```

## Delete Connection

> Deletes a connection. The connection must not be in use (e.g. referenced by a webhook/module/RPC or attached to an endpoint), otherwise the request is rejected.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}":{"delete":{"tags":["SDK Apps / Connections"],"summary":"Delete Connection","description":"Deletes a connection. The connection must not be in use (e.g. referenced by a webhook/module/RPC or attached to an endpoint), otherwise the request is rejected.","parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appConnection":{"type":"string"}}}}}},"400":{"description":"The connection is in use and cannot be deleted (e.g. attached to an endpoint or a webhook).","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## PATCH /sdk/apps/connections/{SDK\_connectionName}

> Update Connection

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}":{"patch":{"tags":["SDK Apps / Connections"],"summary":"Update Connection","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"label":{"type":"string"},"connectedSystemName":{"type":"string","nullable":true}}}}}},"parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appConnection":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"}}}}}}}}}}}}}
```

## Get Connection Section

> Available sections: api, parameters, scopes, scope, install, installSpec\<br /><br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection}":{"get":{"tags":["SDK Apps / Connections"],"summary":"Get Connection Section","description":"Available sections: api, parameters, scopes, scope, install, installSpec<br />\n","parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_connectionSection","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"authorize":{"type":"object","properties":{"qs":{"type":"object","properties":{"scope":{"type":"string"},"client_id":{"type":"string"},"redirect_uri":{"type":"string"},"response_type":{"type":"string"}}},"url":{"type":"string","format":"uri"},"response":{"type":"object","properties":{"temp":{"type":"object","properties":{"code":{"type":"string"}}}}}}},"token":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"body":{"type":"object","properties":{"code":{"type":"string"},"client_id":{"type":"string"},"grant_type":{"type":"string"},"redirect_uri":{"type":"string"},"client_secret":{"type":"string"}}},"type":{"type":"string"},"method":{"type":"string"},"response":{"type":"object","properties":{"data":{"type":"object","properties":{"accessToken":{"type":"string"}}}}},"log":{"type":"object","properties":{"sanitize":{"type":"array","items":{"type":"string"}}}}}},"info":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"headers":{"type":"object","properties":{"authorization":{"type":"string"}}},"response":{"type":"object","properties":{"uid":{"type":"string"},"metadata":{"type":"object","properties":{"type":{"type":"string"},"value":{"type":"string"}}}}},"log":{"type":"object","properties":{"sanitize":{"type":"array","items":{"type":"string"}}}}}},"invalidate":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"headers":{"type":"object","properties":{"authorization":{"type":"string"}}},"log":{"type":"object","properties":{"sanitize":{"type":"array","items":{"type":"string"}}}}}}}}}}}}}}}}
```

## Set Connection Section

> Available sections: api, parameters, scopes, scope, installSpec, install\<br /><br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection}":{"put":{"tags":["SDK Apps / Connections"],"summary":"Set Connection Section","description":"Available sections: api, parameters, scopes, scope, installSpec, install<br />\n","requestBody":{"content":{"application/json":{"schema":{"description":"The structure of the request body varies depending on the section being updated. It can be a JSON object or array.","oneOf":[{"type":"object"},{"type":"array","items":{"type":"object"}}]}}}},"parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_connectionSection","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"change":{"type":"object","properties":{"id":{"type":"integer"},"group":{"type":"string"},"item":{"type":"string"},"code":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/connections/{SDK\_connectionName}/common

> Get Connection Common

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}/common":{"get":{"tags":["SDK Apps / Connections"],"summary":"Get Connection Common","parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","description":"The common data for the connection. The structure of this object is not fixed and depends on the connection's configuration."}}}}}}}}}
```

## PUT /sdk/apps/connections/{SDK\_connectionName}/common

> Set Connection Common

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}/common":{"put":{"tags":["SDK Apps / Connections"],"summary":"Set Connection Common","requestBody":{"content":{"application/json":{"schema":{"type":"object","description":"The common data for the connection. The structure of this object is not fixed and depends on the connection's configuration."}}}},"parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"changed":{"type":"boolean"}}}}}}}}}}}
```

## Recreate Connection

> Recreates an existing app connection and synchronises it with HQ.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Connections"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/connections/{SDK_connectionName}/recreate":{"post":{"tags":["SDK Apps / Connections"],"summary":"Recreate Connection","description":"Recreates an existing app connection and synchronises it with HQ.\n","parameters":[{"name":"SDK_connectionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","description":"An empty object is returned on successful recreation."}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/sdk-apps/connections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
